#include <akaxiso/akaxiso.h>
#include <akaxiso/content_model.h>
#include <iostream>

int main() {
  aka::initialize();
  aka::doctype("a", aka::nill_leaf());

  aka::nill root; // Document root node.

  {
    aka::xml_serializer ser;
    ser.serialize(root, "a", std::cout);
  }

  aka::uninitialize();
}
